# class VTTCue

#### package js.html

#### extends TextTrackCue › EventTarget

Available on HTML5

### Constructor

###

`new (startTime:Float, endTime:Float, text:String)`

Throws:

`null` | DOMError

### Variables

###

`align:AlignSetting`

###

`line:EitherType<Int, Dynamic>`

###

`lineAlign:AlignSetting`

###

`position:Int`

###

`positionAlign:AlignSetting`

###

`region:VTTRegion`

###

`size:Int`

###

`snapToLines:Bool`

###

`text:String`

###

`vertical:DirectionSetting`

### Methods

###

`getCueAsHTML ():DocumentFragment`

### Inherited Variables

#### Defined by TextTrackCue

###

`endTime:Float`

###

`id:String`

###

`onenter:Function`

###

`onexit:Function`

###

`pauseOnExit:Bool`

###

`startTime:Float`

###

`read onlytrack:TextTrack`

### Inherited Methods

#### Defined by EventTarget

###

`addEventListener (type:String, listener:Function, capture:Bool = false):Void`

`addEventListener (type:String, listener:EventListener, capture:Bool = false, ?wantsUntrusted:Bool):Void`

Throws:

`null` | DOMError

###

`dispatchEvent (event:Event):Bool`

Throws:

`null` | DOMError

###

`removeEventListener (type:String, listener:Function, capture:Bool = false):Void`

`removeEventListener (type:String, listener:EventListener, capture:Bool = false):Void`

Throws:

`null` | DOMError